const assert = require("assert");
const index = require("../src/index");

describe("index", () => {

  describe(".add(x,y)", () => {
    it("should return 3 when given 1 and 2", () => {
      assert.strictEqual(index.add(1,2), 3);
    });
  });

  describe(".addAsync(x,y)", () => {
    it("should return promise of 3 when given 1 and 2", () => {
      return index.addAsync(1, 2)
        .then(result => {
          assert.strictEqual(result, 3);
        });
    });
  });
});

require("./lib/libASpec");
